Skip to main content
GET
Get combo and leg candlesticks

Query Parameters

condition_id
string

Combo condition id (0x-prefixed 32-byte hex)

position_id
string

Combo position id, decimal or 0x-prefixed hex

outcome_index
integer<int32>

Combo side when condition_id is used: 0 = YES, 1 = NO. Default: 0

Required range: x >= 0
resolution
enum<string>
required

Candle interval: 1S, 5S, 10S, 30S, 1, 5, 15, 30, 60, 240, D, 1D

Available options:
1S,
5S,
10S,
30S,
1,
5,
15,
30,
60,
240,
D,
1D
count_back
integer<int32>

Number of candles per series (default 500, max 2500)

from
integer<int64>

Start timestamp (Unix seconds)

to
integer<int64>

End timestamp (Unix seconds)

pagination_key
string

Cursor-based pagination key from previous response

Response

Combo candles and all leg candles

condition_id
string
required

Combo condition id.

position_id
string
required

Combo position id for the selected outcome side.

outcome_index
integer<int32>
required

Combo outcome side, where 0 is YES and 1 is NO.

Required range: x >= 0
combo
object[]
required

Combo token OHLCV candles.

legs
object[]
required

Underlying leg sampled-price candles.

Last modified on July 28, 2026